/*
 * eSportsPanel
 *
 * Copyright (C) 2005, 2006 Sylvain Pasquet (Sylvain.pasquet@gmail.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifdef FR
    #define ESPVERSION    "Jukebox3D par Sylvain Pasquet\n Version: 0.5.0\n%s"
	#define DEFAULT_PATH  "data/logo.png"
	#define TTF_ERROR	  "\n La librairie TTF ne peut pas s'initialiser\n"
	#define PICT_ERR	  "\nVous devez selectionner une image pour les 2 equipes/joueurs.\n"
	#define ALREADY_START "\nVous ne pouvez demarrer plusieurs panels simultanes.\n"
	#define SAVETHEME     "Enregistrer le theme en cours..."
    #define LOADTHEME     "Charger un theme depuis:"
	#define ERRSAVE       "Impossible d'enregistrer le fichier.\n"
	#define TYPE1         "Texte"
    #define TYPE2         "Image"
    #define CUBE          "Cube"
    #define RECTANGLE     "Rectangle"
    #define CDBOX         "Boite de CD"
    #define PLAT          "Plat"
    #define DRAPEAU       "Drapeau"
    #define RIEN          "Rien"
    #define R360H1        "360 Sens H1"
    #define R360H2        "360 Sens H2"
    #define R360V1        "360 Sens V1"
    #define R360V2        "360 Sens V2"
    #define RNOROT        "Pas de rotation"
    #define LEFT          "Gauche"
    #define RIGHT         "Droite"
    #define CENTER        "Centre"
#endif


#ifdef EN
    #define ESPVERSION    "Jukebox3D by Sylvain Pasquet\n Version: 0.5.0\n%s"
	#define DEFAULT_PATH  "data/logo.png"
	#define TTF_ERROR	  "\n Can't initialize TTF libs.\n"
	#define PICT_ERR	  "\nYou must select a picture for each team.\n"
	#define ALREADY_START "\nYou can't start simultaned eSportsPanel.\n"
    #define SAVETHEME     "Save current theme..."
    #define LOADTHEME     "Load theme from:"
    #define ERRSAVE       "Can't save the file.\n"
	#define TYPE1         "Text"
    #define TYPE2         "Picture"
    #define CUBE          "Cube"
    #define RECTANGLE     "Rectangle"
    #define CDBOX         "CD Box"
    #define PLAT          "Flat"
    #define DRAPEAU       "Flag"
    #define RIEN          "Nothing"
    #define R360H1        "360 Sens H1"
    #define R360H2        "360 Sens H2"
    #define R360V1        "360 Sens V1"
    #define R360V2        "360 Sens V2"
    #define RNOROT        "No rotation"
    #define LEFT          "Left"
    #define RIGHT         "Right"
    #define CENTER        "Center"
#endif

#define AMAROK	  "Amarok 1.x"
#define RHYTHMBOX "Rhythmbox"
#define EXAILE    "Exaile"
#define MPD		  "Mpd (mpc)"
