/*
 * Jukebox3D / esp Engine v2
 *
 * Copyright (C) 2005, 2007 Sylvain Pasquet (Sylvain.pasquet@gmail.com - pasquet.sylvain2@wanadoo.fr)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*************************************************
 *            interface_main.c			     	 *
 *************************************************/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <gtk/gtk.h>
#include <glade/glade.h>
#include "../include/main.h"
#include "../include/interface_ogl.h"
#include "../include/interface_main.h"
Interface MainWindow;

GladeXML  *gui_glade_xml = NULL;


void xml_gui_load (char *path, char *root) {
	
	gui_glade_xml = glade_xml_new(path, root, NULL);
	if( !gui_glade_xml ) {
		printf("ERROR-interface.c::Xml_gui_load: Error when loading main gui\n");
	}
	/*Xml_widget_load (gui_glade_xml, "window1", XmlWidget.menubar);
	Xml_widget_load (gui_glade_xml, "menubar", &XmlWidget.menubar);*/
	/*Xml_widget_load (gui_glade_xml, "window1", espGui[0].hWndWidget);*/
	Xml_widget_load (gui_glade_xml, "window1", &MainWindow.window1);
    #ifdef DEBUG_MAIN
        printf("LOG-interface.c::Xml_gui_load: Preconfiguring gui\n");
    #endif
	/*ConfigureGui();*/
	if (OglScene->__only__==1)
	{
		gtk_widget_hide(MainWindow.window1) ;
		GtkWidget *windowGL;
		windowGL = StartOGL();
		if (windowGL != NULL)
		{
			gtk_widget_show (windowGL);
			}else{
			/*WarningBoxFR((char*)TTF_ERROR);*/
		}
		return;
	}
	glade_xml_signal_autoconnect(gui_glade_xml);

	return;
}

// fonction de chargement d'un widget avec test
void Xml_widget_load (GladeXML *glade_xml, gchar *glade_widget, GtkWidget **Xml_widget) {

	gchar *msg_error;
	*Xml_widget =  glade_xml_get_widget (glade_xml, glade_widget);

	if (!*Xml_widget) {
		msg_error = g_strconcat ("libglade error : can't get *", glade_widget, "* widget", NULL);
		/*Xml_gui_error(msg_error);*/
	}
}

