/*
 * Jukebox3D / esp Engine v2
 *
 * Copyright (C) 2005, 2007 Sylvain Pasquet (Sylvain.pasquet@gmail.com - pasquet.sylvain2@wanadoo.fr)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*************************************************
 *           interface_ogl.h    				 *
 *************************************************/
G_MODULE_EXPORT void      OnStopGL         (GtkWidget * widget, gpointer data);
G_MODULE_EXPORT void      realize          (GtkWidget * widget, gpointer data);

G_MODULE_EXPORT gboolean  key_press_event         (GtkWidget * widget, GdkEventKey * event, gpointer data);
G_MODULE_EXPORT gboolean  map_event               (GtkWidget * widget, GdkEventAny * event, gpointer data);

G_MODULE_EXPORT gboolean  configure_event         (GtkWidget * widget, GdkEventConfigure * event, gpointer data);
G_MODULE_EXPORT gboolean  expose_event            (GtkWidget * widget, GdkEventExpose * event, gpointer data);
G_MODULE_EXPORT gboolean  motion_notify_event     (GtkWidget * widget,GdkEventMotion * event, gpointer data);
G_MODULE_EXPORT gboolean  unmap_event             (GtkWidget * widget, GdkEventAny * event, gpointer data);
G_MODULE_EXPORT gboolean  visibility_notify_event (GtkWidget * widget,GdkEventVisibility * event, gpointer data);
G_MODULE_EXPORT gboolean  button_press_event      (GtkWidget *widget,GdkEventButton *event,GtkWidget *menu);

GtkWidget 
*StartOGL(void);

void      
draw_object  (GLenum mode,GtkWidget      *widget);

void 
nFlagTeam( int x, int y, float f_x, float f_y,float f_xb,float f_yb);
void ReConfigureText(void);
